Subject: bug#75078: Guile 3.0.10 fails to build for i686 cygwin

From: Rob Browning <[email-masked]>
Date: Fri, 24 Jan 2025 19:40:00 -0600

Jeremy Drake via "Bug reports for GUILE, GNU's Ubiquitous Extension
Language" <[email-masked]> writes:

> I don't know if I'll go with that or just wait for 3.0.11 though.

In case it's useful, here's what I ended up doing for Debian for now, to
get 3.0.10 back into unstable:

  https://salsa.debian.org/rlb/deb-guile/-/tree/ee0cb057e1d5108a0eb144bd57a025149c0b5695/debian/patches

More specifically with respect to 32-bit, the patches merged here
(perhaps easier to see in gitk or git log --graph):

  https://salsa.debian.org/rlb/deb-guile/-/commit/7564af161f3bb61578d767ff54a13398907c1e22

Hope this helps
-- 
Rob Browning
rlb @defaultvalue.org and @debian.org
GPG as of 2011-07-10 E6A9 DA3C C9FD 1FF8 C676 D2C4 C0F0 39E9 ED1B 597A
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4